{
  "name": "@guildion/node",
  "main": "src/index.ts",
  "scripts": {
    "build": "tsc -p tsconfig.json && tsc-alias -p tsconfig.output.json",
    "postinstall": "typesync || :",
    "test": "jest",
    "test:dev": "jest --watch"
  },
  "jest": {
    "preset": "ts-jest",
    "testEnvironment": "node",
    "roots": [
      "<rootDir>/test"
    ]
  },
  "dependencies": {
    "@guildion/core": "workspace:*",
    "@guildion/db": "workspace:pkgs/db",
    "axios": "^0.21.1",
    "bluebird": "^3.7.2",
    "bytes": "^3.1.0",
    "chalk": "^4.1.1",
    "cli-progress": "^3.9.0",
    "colors": "1.4.0",
    "crypto-js": "^4.0.0",
    "curve25519-js": "^0.0.4",
    "fs": "0.0.1-security",
    "immutable": "^4.0.0-rc.12",
    "jsonwebtoken": "^8.5.1",
    "object-sizeof": "^1.6.1",
    "readline": "^1.3.0",
    "totp-generator": "^0.0.9",
    "typeorm": "0.2.40",
    "ulid": "^2.3.0",
    "uuid": "^8.3.2",
    "websocket": "^1.0.34"
  },
  "devDependencies": {
    "@types/axios": "^0.14.0",
    "@types/bluebird": "^3.5.33",
    "@types/bytes": "^3.1.0",
    "@types/chalk": "^2.2.0",
    "@types/cli-progress": "^3.9.1",
    "@types/colors": "1.2.1",
    "@types/crypto-js": "^4.0.1",
    "@types/immutable": "^3.8.7",
    "@types/jest": "^26.0.23",
    "@types/jsonwebtoken": "^8.5.1",
    "@types/node": "16.6.1",
    "@types/totp-generator": "^0.0.1",
    "@types/uuid": "^8.3.0",
    "@types/websocket": "^1.0.2",
    "jest": "^27.0.6",
    "ts-jest": "^27.0.3",
    "tsc-alias": "1.3.10",
    "typescript": "^4.3.5",
    "typesync": "^0.8.0"
  }
}
